//
// SNL Client Demo (C)
// Clemens Kirchgatterer <clemens@thf.ath.cx>
//

#include <unistd.h>
#include <stdio.h>
#include <snl.h>

static int quit = 0;

SNL_READ_CALLBACK(read_callback) {
	if (error == SNL_ERR_CLOSED) {
		printf("client closed connection\n");
	} else {
		printf("received data from server: ");
		printf("%s\n", (char *)buf);
	}
	quit = 1;
}

int
main(int argc, char **argv) {
	int fd;

	if (argc < 2) argv[1] = "SNL test client";
	if ((fd = snl_connect("localhost", 3000)) > 0) {
		snl_read(fd, read_callback, NULL);
		while (1) snl_write(fd, argv[1], strlen(argv[1]));
		while (!quit) sleep(1); // wait for response
	} else {
		printf("can't connect to server\n");
		return (1);
	}
	return (0);
}
