#!/usr/bin/pike

//
// SNL Client Demo (Pike)
// Clemens Kirchgatterer <clemens@thf.ath.cx>
//

import .snl;

int quit = 0;

void read_callback(object fd, int error, string buf, int len, mixed data) {
	if (error == SNL_ERR_CLOSED) {
		write("server closed connection\n");
	} else {
		write("received data from server: ");
		write(buf + "\n");
	}
	quit = 1;
}

int
main(int argc, array(string) argv) {
	string arg = "SNL test client";
	object fd;

	if (argc > 1) arg = argv[1];
	if (fd = snl_connect("localhost", 3000)) {
		snl_read(fd, read_callback);
		while (1) snl_write(fd, arg);
		while (!quit) sleep(1); // wait for response
	} else {
		write("can't connect to server\n");
		return (1);
	}
	return (0);
}
