//
// SNL Server Demo (C)
// Clemens Kirchgatterer <clemens@thf.ath.cx>
//

#include <unistd.h>
#include <stdio.h>
#include <snl.h>

SNL_READ_CALLBACK(read_callback) {
	if (error == SNL_ERR_CLOSED) {
		printf("client closed connection\n");
	} else {
		printf("received data from client: ");
		printf("%s\n", (char *)buf);
		snl_write(fd, buf, len);
	}
}

SNL_LISTEN_CALLBACK(listen_callback) {
	printf("client connected\n");
	snl_read(fd, read_callback, NULL);
}

int main(int argc, char **argv) {
	if (snl_listen("localhost", 3000, listen_callback, NULL)) {
		printf("can't connect to socket\n");
		return (1);
	}
	while (1) sleep(1);
	return (0);
}
