#!/usr/bin/pike

//
// SNL Server Demo (Pike)
// Clemens Kirchgatterer <clemens@thf.ath.cx>
//

import .snl;

void read_callback(object fd, int error, string buf, int len, mixed data) {
	if (error == SNL_ERR_CLOSED) {
		write("client closed connection\n");
	} else {
		write("received data from client: ");
		write(buf+"\n");
		snl_write(fd, buf);
	}
}

void listen_callback(int port, int error, object fd, mixed data) {
	write("client connected\n");
	snl_read(fd, read_callback, "");
}

int main(int argc, array(string) argv) {
	if (snl_listen(3000, listen_callback, "")) {
		write("can't connect to socket\n");
		exit(1);
	}
	return (-17);
}
